AppEnlight is now Open Source! Read more here...

Airbrake-compatible endpoint for exception logging

Ruby Logo Javascript Logo Node.js PHP Logo

We provide an endpoint compatible with Airbrake Notice API in version 2.2+, if you want to try out AppEnlight and you are currently using a ruby gem for Airbrake (or any compatible client that uses the Airbrake protocol), the easiest way to start is to just redirect your reports to our domain.

Many users successfully use Rails and JavaScript clients with our service.

As an example, for applications using airbrake gem, first you need to open config/initializers/airbrake.rb inside your application and change your config to:

Airbrake.configure do |config|
  config.api_key = 'ERRORMATOR_PRIVATE_API_KEY'
  config.host = 'api.appenlight.com'
  config.secure = true
end

Currently only XML payloads are supported.